import React, {useEffect, useState} from 'react';
// import {WingBlank, WhiteSpace, ActivityIndicator} from "antd-mobile";
import axiosRequest from '../../utils/request';
import AddressCheckbox from '../../components/AddressList/AddressCheckbox';

const SubmitDetail = (props) => {
    const [data, setData] = useState([]);
    const [title, setTitle] = useState([])
    useEffect(() => {
        // const {type} = props.match.params
        axiosRequest({
            method: 'post',
            url: '/idtAppServiceV6/oApp/getSearchAddressBook?deptId=47c2c44d41ba15fa0141ba8b7cad0006'
            // url: `/idtAppServiceV6/oApp/getLeaders?mobileUse=true&nType=${type}`,
        }).then(res => {
            setData(res.userList)
            setTitle(res.deptList)
        });

    }, []);
    const checkName = (name, checked) => {
        console.log(name, checked)
    }
    return (
        <div>
            <div className='breadBox'>
                {title.length > 0 ? title[0].depts : ''}
                {/*<span className='currentLink'>科技创新委员会</span>*/}
                {/*<span className='symbol'>&gt;</span>*/}
                {/*<span>组织架构</span>*/}
                {/*<span className='symbol'>&gt;</span>*/}
                {/*<span>办公厅</span>*/}
            </div>
            <div className='adMainBox'>
                <AddressCheckbox data={data} setName={checkName}/>
            </div>
        </div>
    );
};

export default SubmitDetail;
